Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Remote Application Platform (RAP) » RAP Client Scripting extension(Installation / dependency problem)
RAP Client Scripting extension [message #1061282] Thu, 30 May 2013 21:24 Go to next message
Mike Gingell is currently offline Mike Gingell
Messages: 4
Registered: July 2011
Location: Canada
Junior Member
Hi!
I want to experiment with the Client Scripting feature for RAP but I am having trouble installing it.

I have tried installing it from the RAP 2.0 compatible p2 repository from the client scripting incubator repo: http://download.eclipse.org/rt/rap/incubator/2.0/clientscripting/ (I have installed RAP 2.0 tooling and corresponding target RT)

I am getting a dependency error:
Cannot complete the install because one or more required items could not be found.
  Software being installed: RAP ClientScripting Examples (Incubation) 0.1.100.20130110-2239 (org.eclipse.rap.clientscripting.examples.feature.feature.group 0.1.100.20130110-2239)
  Missing requirement: Validation Example Page 0.1.100.20130110-2239 (org.eclipse.rap.demo.clientscripting 0.1.100.20130110-2239) requires 'bundle org.eclipse.rap.rwt [2.0.0,3.0.0)' but it could not be found
  Cannot satisfy dependency:
    From: RAP ClientScripting Examples (Incubation) 0.1.100.20130110-2239 (org.eclipse.rap.clientscripting.examples.feature.feature.group 0.1.100.20130110-2239)
    To: org.eclipse.rap.demo.clientscripting [0.1.100.20130110-2239]

I have also tried this using the latest stable (2.1M1) and RAP 2.1 nightly as the base - tooling and target RT. The dependency issue still happens.
What am I missing??

Thanks,
- Mike

Re: RAP Client Scripting extension [message #1061394 is a reply to message #1061282] Fri, 31 May 2013 08:42 Go to previous message
Ralf Sternberg is currently offline Ralf Sternberg
Messages: 1290
Registered: July 2009
Senior Member

Hi Mike,

> 'bundle org.eclipse.rap.rwt [2.0.0,3.0.0)' but it could not be found

any idea why the rwt bundle cannot be found in your target platform?

> org.eclipse.rap.demo.clientscripting [0.1.100.20130110-2239]

This bundle contains a contribution to the examples demo, you may not
need it in your application.

Regards,
Ralf

--
Ralf Sternberg

Twitter: @EclipseRAP
Blog: http://eclipsesource.com/blogs/

Professional services for RAP and RCP?
http://eclipsesource.com/services/rap/
Previous Topic:RAP in standalone OSGi javax.servlet import constraint
Next Topic:[ANN] RAP 2.1 RC2 is available
Goto Forum:
  


Current Time: Sat Aug 30 06:37:54 EDT 2014

Powered by FUDForum. Page generated in 0.01828 seconds